/report/insight/metrics/latency
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/metrics/latency \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/insight/metrics/latency"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/insight/metrics/latency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"dates": [
"2025-11-17",
"2025-11-18",
"2025-11-19",
"2025-11-20",
"2025-11-21",
"2025-11-22",
"2025-11-23"
],
"tag_latency_50th": [
2015.000097658,
2459.499926806,
2204.149951197,
2203.499902338,
2903.149975479,
3045.049975586,
2541.999829099
],
"tag_latency_95th": [
13543.379931641,
14001.055026829,
14162.770097633,
13703,
14845.729943848,
15342.150012203,
14563.189907181
],
"tag_latency_99th": [
30355.659968749,
36605.656028322,
36641.705933104,
32337.69993945,
33614.23999998,
34597.489999999,
34308.764999516
],
"page_latency_50th": [
396,
464.299999982,
424.399999917,
415.599999935,
455.299999997,
450,
404.699999988
],
"page_latency_95th": [
3077.015,
3354.799999857,
3206.53500002,
3210.805000069,
3266.599999923,
3385.419999981,
3120.490000063
],
"page_latency_99th": [
7528.260000054,
9180.29,
9522.974000003,
8538.280999978,
7613.936,
7400,
7148.09
],
"dom_latency_50th": [
2916,
3454.699999988,
3559.900000036,
3561.349999999,
3229.699999929,
3268.899999999,
3075.199999999
],
"dom_latency_95th": [
34340.960000002,
35866.089999998,
42980.289999914,
37164.380000034,
36723.259999972,
37956.07,
36592.259999943
],
"dom_latency_99th": [
100352.97,
111828.062999975,
141844.44,
125993.634000001,
115152.191,
142859.433999983,
146167.932000003
],
"unit_latency_50th": [
1278.666819723,
1605.684552759,
1031.565663563,
1019.033677967,
929.970228937,
3426.94577525,
2340.036942398
],
"unit_latency_95th": [
11630.871627269,
12771.63265881,
8618.286418984,
7498.738178301,
6979.000099784,
27126.426158973,
20733.973500202
],
"unit_latency_99th": [
43117.739627496,
45978.686125411,
31064.036466851,
21977.624272127,
22780.146952169,
72213.125391868,
66147.820647556
],
"ad_latency_50th": [
1013.223339262,
1127.684917195,
1220.426188624,
1265.28917793,
1244.405857402,
1464.618749268,
1365.053122477
],
"ad_latency_95th": [
6055.378943986,
6462.631640593,
6097.493850424,
6189.498742209,
6651.869501005,
14978.07953811,
11036.863514158
],
"ad_latency_99th": [
23880.984851126,
24797.569065283,
26526.625193494,
658728.085796209,
35496.345664206,
59244.594669674,
2812322.419130871
],
"publisher": []
},
"success": true
}Reporting/Insights Hub/Metrics
/report/insight/metrics/latency
Returns latency data. Where every millisecond counts in advertising, spotting slowdowns can be vital to improving revenue.
GET
/
v1
/
report
/
insight
/
metrics
/
latency
/report/insight/metrics/latency
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Publisher ID
Date range. All ranges exclude today and run up to yesterday
Available options:
custom, all_time, seven_days, fourteen_days, thirty_days, three_months, six_months, week_to_date, month_to_date, quarter_to_date, year_to_date, last_week, last_month, last_quarter, last_year, month_on_month, quarter_on_quarter, yesterday Start date when range=custom
End date when range=custom
Date grouping when range=custom
Available options:
day, month, year Environment or platform to report from
Available options:
all, app, web Was this page helpful?
⌘I